# $Id: cpqarrayd.spec 692 2007-01-21 20:53:46Z rpmbuild $

Summary: A daemon to monitor HP (Compaq) array controllers
Name: cpqarrayd
Version: 2.2
Release: %RErelease 1
Epoch: 0
License: GPL
Group: System Environment/Daemons
URL: http://www.strocamp.net/opensource/cpqarrayd.php
Source: http://www.strocamp.net/opensource/compaq/downloads/%{name}-%{version}.tar.gz
Patch: http://ftp.debian.org/debian/pool/main/c/cpqarrayd/%{name}_%{version}-3.diff.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge >= 2
BuildRequires: net-snmp-devel
Requires: net-snmp

# Figure out kernel-source / kernel-sourcecode / kernel-devel based on disto
# version.
%if "%rhel" == "3" || "%rhel" == "2" || "%fedora" == "2" || "%fedora" == "1" || 0%{?rhl}
BuildRequires: kernel-source
%define KDIR %(rpm -ql kernel-source|head -1)
%endif
%if "%rhel" == "4"
BuildRequires: kernel-sourcecode
%define KDIR %(rpm -ql kernel-sourcecode|head -1)
%endif
%if "%fedora" >= "3" || "%rhel" >= "5"
BuildRequires: kernel-devel
%define KDIR %(rpm -ql kernel-devel|head -1)
%endif

%description
Cpqarrayd is a daemon to monitor HP (Compaq) SmartArray controllers. It
reports any status changes, like failing disks, to the syslog and
optionally to a remote host using SNMP traps.

%prep
%setup -q
%patch -p1

%build
# Use this default to compile against the running kernel, otherwise create
# the /usr/src/linux symlink and use the second invocation.
# /lib/modules/`uname -r`/build is not good enough for our purposes.
#%%configure --with-kernel=/usr/src/linux-`uname -r`
# And remember, kids, macro expansion in comments suggests excessive crack use.
#%%configure --with-kernel=/usr/src/linux
%configure --with-kernel=%KDIR
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install-strip
%{__perl} -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd
# install the startup scripts manually
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}/
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/
%{__install} -m 0755 scripts/cpqarrayd ${RPM_BUILD_ROOT}%{_initrddir}/cpqarrayd
%{__install} -m 0644 scripts/cpqarrayd.sysconfig ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/cpqarrayd
%{__install} -m 0644 -D cpqarrayd.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/cpqarrayd.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpqarrayd

%preun
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  /sbin/service cpqarrayd stop > /dev/null 2>&1
  /sbin/chkconfig --del cpqarrayd
fi

%postun
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  /sbin/service cpqarrayd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc debian/README.Debian debian/changelog
%{_initrddir}/cpqarrayd
%config(noreplace) %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/*/*

%changelog
* Mon Dec 25 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.2-1
- Updated to version 2.2. 
- Forced install of manpage.

* Thu Jul 07 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.0-3
- Abstracted a lot of the hard-coded paths into macros.
- Re-added SNMP support.
- Added Debian patch 2.0-4.

* Sat Jan 17 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.0-2.fc1
- Compiled for Fedora Core 1 without SNMP support.

